From 590da691b9dba812d64aab5853b65e874324d98b Mon Sep 17 00:00:00 2001
From: Amit Kapila <akapila@postgresql.org>
Date: Tue, 2 Jun 2020 11:11:25 +0530
Subject: [PATCH] Doc: Update the documentation for spilled transaction
 statistics.

Reported-by: Sawada Masahiko
Author: Sawada Masahiko, Amit Kapila
Reviewed-by: Amit Kapila
Discussion: https://postgr.es/m/CA+fd4k4vNg7dRO5ECHdtQXXf1=Q4M98pfLW0dU7BKD8h79pkqA@mail.gmail.com
---
 doc/src/sgml/monitoring.sgml | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index 321a0f4..89662cc 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -2518,6 +2518,12 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    mechanism will simply display NULL lag.
   </para>
 
+  <para>
+   Tracking of spilled transactions works only for logical replication.  In
+   physical replication, the tracking mechanism will display 0 for spilled
+   statistics.
+  </para>
+
   <note>
    <para>
     The reported lag times are not predictions of how long it will take for
-- 
1.8.3.1

